Post by Jamie.ds » Tue Jul 24, 2012 10:16 pm

Could not execute this query: INSERT INTO `ocart_option_description` (`option_id`, `language_id`, `name`)SELECT `product_option_id`, `language_id`, `name` FROM `ocart_product_option_description`; Table 'eduluc4_oc.ocart_product_option_description' doesn't exist

Could not execute this query: INSERT INTO `ocart_option_value_description` (`option_value_id`, `language_id`, `option_id`, `name`)SELECT `pov`.`product_option_value_id` , `language_id` , `pov`.`product_option_id` , `name`FROM `ocart_product_option_value_description` AS `povd` INNER JOIN `ocart_product_option_value` AS `pov` ON `pov`.`product_option_value_id` = `povd`.`product_option_value_id`; Table 'eduluc4_oc.ocart_product_option_value_description' doesn't exist
Tried following it and go this. Hope you can help ^^

Newbie

Posts

Joined
Thu Aug 04, 2011 1:13 am

Post by marcparry » Wed Aug 01, 2012 12:03 am

Hi,

Apologies if this is the wrong place to ask this but it seemed sensible.

I have just upgraded to 1.5.3.1 to I am getting this error message each time.

Notice: Undefined index: bottom in /hermes/bosoraweb075/b2185/ipg.supervillastampscouk/stamps/catalog/controller/common/footer.php on line 26

I read some of the posts on here but they said to run the scripts before upgrading so I didn't want to break anything by doing it afterwards.

Is there a quick fix in it somewhere. I'm not that good with the exact coding in the footer.php so I didn't want to mess around too much with it.

Any help thankfully received.

Newbie

Posts

Joined
Tue Jul 31, 2012 11:56 pm

Post by Qphoria » Thu Aug 02, 2012 1:26 pm

Try going to admin->catalog->information and edit/save each of them

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by myroto » Mon Aug 06, 2012 7:07 am

I have seen this problem posted before in this thread however I believe I went through the upgrade process as instructed. I have been upgraded to 1.5.1.3, however after upgrading I was never allowed to check the boxes in the user groups tab. I get permission denied when trying to access anything under the system menu other than settings. Any help would be appreciated.

Newbie

Posts

Joined
Mon Aug 06, 2012 7:04 am

Post by product247 » Tue Aug 28, 2012 10:44 pm

I am trying to use the update script. Am I supposed to upload opencart 1.5.1.2 files over my my old files? When I just upload the upgrade script "install" folder and point my browser to the php file no update happens. My browser is redirected back to /install/index.php ....?

Newbie

Posts

Joined
Tue Mar 08, 2011 10:13 am

Post by fireatwire » Wed Aug 29, 2012 3:44 am

product247 wrote:I am trying to use the update script. Am I supposed to upload opencart 1.5.1.2 files over my my old files? When I just upload the upgrade script "install" folder and point my browser to the php file no update happens. My browser is redirected back to /install/index.php ....?
No, you just need to run the upgrade script. Then you should upload all new opencart files in your store folder and go to the /install/index.php!

New member

Posts

Joined
Wed Feb 03, 2010 5:21 am

New member

Posts

Joined
Sun Apr 18, 2010 11:02 am


Post by cbb123 » Tue Sep 04, 2012 8:02 am

I am little confused by the directions, in the step by step guide, STEP 4a says. UNZIP AND UPLOAD ALL THE NEW OPENCART FILES OVER YOUR EXISTING FILES, I uploaded the files from opencart_v1.5.1.3.1 and in the upload there is a "install" folder.

Now next step says: STEP 4b. If you haven't already, Upload the install folder from the beta2 upgrade zip file. when I upload this folder it replaces the previous step "install" folder. Now my question is, should I upload the files from step 4a first? or should I upload the "install" folder from step 4b first? The reason I am asking this because the "install" folder from step 4a is replaced by step 4b.

Last concern, on this thread it says that this script will update to opencart_v1.5.1.2 but on STEP 12 it says. RUN THE BUILT-IN OPENCART UPGRADE FOR v1.5.1.3 or LATER by visiting: http://mysite.com/install/index.php. Should I upload files from opencart_v1.5.1.2 or v1.5.1.3?

I would appreciate if someone can help me with this.

Hayat

Newbie

Posts

Joined
Tue Sep 04, 2012 7:41 am

Post by Modemuri3G » Fri Sep 07, 2012 4:18 am

upload files from opencart_v1.5.1.2 and upgrade to latest version later

STEP 4b files are not overwritten, are merged

for upgrade corect link is http://mysite.com/install/index.php

Newbie

Posts

Joined
Fri Feb 24, 2012 10:16 pm

Post by MiracleSolutions » Sat Sep 15, 2012 7:05 am

I have just run the upgrade script as per the instructions from 1.4.8b to the most current version and I have this error

Fatal error: Call to undefined function mcrypt_create_iv() in D:\vhosts\contractclothing.co.uk\httpdocs\system\library\encryption.php on line 8

please help!

Many thanks


Posts

Joined
Sat Sep 15, 2012 7:04 am

Post by mothercruncher » Mon Sep 17, 2012 9:58 pm

Hey folks,

Im stumped and I'd really appreciate some advice/help.

I'm attempting to upgrade from version 1.4.9.5 and using this script in conjunction with a fresh download of the 1.5.1.2 Opencart files.

I follow the readme and everything works. I run the upgrade script and get the SUCCESSFUL message and then visit install/index.php for v 1.5.1.2 and also get a "successful" message for that upgrade.

The shop front end loads BUT the readme explicitly states that there should be, quote, "NO products or modules". I see all of the dummy laptop type products all there ???

Secondly, when I attempt to use SYSTEM > BACKUP/RESTORE to import my database backup (I presume this is the way I re-instate my products/users etc??) I get an error thus:

--------------------------
Error: Unknown column 'store_id' in 'where clause'
Error No: 1054
SELECT * FROM setting WHERE store_id = '0'
--------------------------


I've already installed, had this error, reverted to the original 1.4.9.5 install and re-installed again... same issue.

Many thanks for any help 8)

User avatar
New member

Posts

Joined
Mon Jan 31, 2011 9:10 pm

Post by keg » Mon Sep 24, 2012 10:30 pm

I just did the upgrade from having a previous error from upgrading. Someone told me I needed to run this beta script in order to get it to work. Got everything installed, got a SUCCESS!!! message, clicked to go to store and got this...

Code: Select all

Notice: Use of undefined constant HTTP_SERVER - assumed 'HTTP_SERVER' in /home/handmade/public_html/shop/index.php on line 66

Notice: Use of undefined constant HTTPS_SERVER - assumed 'HTTPS_SERVER' in /home/handmade/public_html/shop/index.php on line 67
Warning: session_start() [function.session-start]: Cannot send session cookie - headers already sent by (output started at /home/handmade/public_html/shop/index.php:66) in /home/handmade/public_html/shop/system/library/session.php on line 11Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at /home/handmade/public_html/shop/index.php:66) in /home/handmade/public_html/shop/system/library/session.php on line 11

Fatal error: Cannot access private property Document::$title in /home/handmade/public_html/shop/catalog/view/theme/boldy/template/common/footer.tpl on line 16

keg
New member

Posts

Joined
Thu Sep 02, 2010 1:22 am

Post by keg » Mon Sep 24, 2012 10:35 pm

I can log into the admin just fine now, went in and changed the old theme to the defualt theme and got this error...

Code: Select all

Notice: Use of undefined constant HTTP_SERVER - assumed 'HTTP_SERVER' in /home/handmade/public_html/shop/index.php on line 66

Notice: Use of undefined constant HTTPS_SERVER - assumed 'HTTPS_SERVER' in /home/handmade/public_html/shop/index.php on line 67
Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at /home/handmade/public_html/shop/index.php:66) in /home/handmade/public_html/shop/system/library/session.php on line 11

Fatal error: Cannot access private property Document::$title in /home/handmade/public_html/shop/catalog/view/theme/boldy/template/common/footer.tpl on line 16
When I first went to do the upgrade and got a slew of errors I just installed fresh edition of the latest verison of the cartt in a new folder on the server since I thought I had to start all over. Admin section still has all my sales and clients listed, is there any way I can jut back up all this info and restore it to the new cart to keep all my stats or is it not that easy?

keg
New member

Posts

Joined
Thu Sep 02, 2010 1:22 am

Post by mtngoater2011 » Tue Oct 02, 2012 1:21 pm

I've attempted to upgrade from 1.4.9 to 1.5 three different ways.
I'm able to load the main page, but no photos. I can load the admin page, but not able to logon.
Not sure what i've done but when i run the script...
The following errors occured:

Could not execute this query: INSERT INTO `mc13_option` (`option_id`, `type`, `sort_order`)SELECT `product_option_id`, "select", `sort_order` FROM `mc13_product_option`; Duplicate entry '283' for key 'PRIMARY'

Could not execute this query: INSERT INTO `mc13_option_description` (`option_id`, `language_id`, `name`)SELECT `product_option_id`, `language_id`, `name` FROM `mc13_product_option_description`; Table 'mtngoater_mktc.mc13_product_option_description' doesn't exist

Could not execute this query: INSERT INTO `mc13_option_value` (`option_value_id`, `option_id`, `sort_order`)SELECT `product_option_value_id`, `product_option_id`, `sort_order` FROM `mc13_product_option_value`; Duplicate entry '563' for key 'PRIMARY'

Could not execute this query: INSERT INTO `mc13_option_value_description` (`option_value_id`, `language_id`, `option_id`, `name`)SELECT `pov`.`product_option_value_id` , `language_id` , `pov`.`product_option_id` , `name`FROM `mc13_product_option_value_description` AS `povd` INNER JOIN `mc13_product_option_value` AS `pov` ON `pov`.`product_option_value_id` = `povd`.`product_option_value_id`; Table 'mtngoater_mktc.mc13_product_option_value_description' doesn't exist

(i am an amature, i must confess)

Newbie

Posts

Joined
Tue Oct 02, 2012 1:16 pm

Post by cbb123 » Tue Oct 16, 2012 7:40 am

I have just upgraded my website successfully, I followed the instruction and everything worked fine. I have all my products and other information.

But the only problem I see is on my storefront I get following error on the header:

Notice: Use of undefined constant HTTP_SERVER - assumed 'HTTP_SERVER' in /home/sikandar/public_html/index.php on line 66
Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at /home/sikandar/public_html/index.php:66) in /home/sikandar/public_html/system/library/session.php on line 11Notice: Use of undefined constant HTTP_IMAGE - assumed 'HTTP_IMAGE' in /home/sikandar/public_html/catalog/controller/common/header.php on line 26

Can someone please help me fix this error? I am not sure how to fix it.

Newbie

Posts

Joined
Tue Sep 04, 2012 7:41 am

Post by PureSmart » Wed Oct 31, 2012 1:35 am

I tried to upgrade from 1.5.4 to 1.5.4.1 but I received this error right after I tried to upgrade:

Code: Select all

Warning: mysql_fetch_assoc() expects parameter 1 to be resource, boolean given in /var/www/puresmart/install/model/upgrade.php on line 50 Could not Execute: ALTER TABLE product_tag ADD INDEX product_id (product_id); 
Table 'opencart.product_tag' doesn't exist
Does anyone know how to solve this problem?

Newbie

Posts

Joined
Wed Oct 31, 2012 1:32 am

Post by lesliez » Wed Oct 31, 2012 10:30 am

Hi,

I have the following error on my mainpage after complete all the steps of upgrade process. Please help on how to fix the following error on Catalog mainpage. Thank you.


Notice: Use of undefined constant HTTP_SERVER - assumed 'HTTP_SERVER' in /home/rapha/domains/raphaherbal.com/public_html/index.php on line 66

Notice: Use of undefined constant HTTPS_SERVER - assumed 'HTTPS_SERVER' in /home/rapha/domains/raphaherbal.com/public_html/index.php on line 67
Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at /home/rapha/domains/raphaherbal.com/public_html/index.php:66) in /home/rapha/domains/raphaherbal.com/public_html/system/library/session.php on line 11Notice: Use of undefined constant HTTP_IMAGE - assumed 'HTTP_IMAGE' in /home/rapha/domains/raphaherbal.com/public_html/catalog/controller/common/header.php on line 51Warning: Cannot modify header information - headers already sent by (output started at /home/rapha/domains/raphaherbal.com/public_html/index.php:66) in /home/rapha/domains/raphaherbal.com/public_html/system/library/currency.php on line 45Warning: Cannot modify header information - headers already sent by (output started at /home/rapha/domains/raphaherbal.com/public_html/index.php:66) in /home/rapha/domains/raphaherbal.com/public_html/system/engine/controller.php on line 28Warning: Cannot modify header information - headers already sent by (output started at /home/rapha/domains/raphaherbal.com/public_html/index.php:66) in /home/rapha/domains/raphaherbal.com/public_html/system/engine/controller.php on line 29

Newbie

Posts

Joined
Sat Nov 20, 2010 12:48 pm

Post by rightwayagain » Wed Nov 07, 2012 6:14 am

After the upgrade I have the following error.

Notice: Undefined index: token in /home2/mcgeesys/public_html/foundryparts/admin/controller/error/not_found.php on line 16Notice: Undefined index: token in /home2/mcgeesys/public_html/foundryparts/admin/controller/error/not_found.php on line 22

The admin file is working fine but the store is displaying the above error.

I need a little help.

Newbie

Posts

Joined
Wed Nov 07, 2012 5:59 am

Post by maximus2005 » Wed Nov 07, 2012 6:41 pm

Qphoria wrote:A big thank you to forum member IBBoard for adding Product Option support to the 14x to 1512 upgrade script! Now you can upgrade from 1.4.x to 1.5.1.2 and KEEP YOUR PRODUCT OPTIONS!


YES, THIS SCRIPT WILL KEEP YOUR PRODUCT OPTIONS!
If your store has no product options, the script will still work for you.



About this script
This script is a collection of all the patches and versions of opencart from version 1.4.0 to version 1.5.1.2.
That means you run this script to bring your store's database to 1.5.1.2
If you want to install a version later than 1.5.1.2, that is fine. Just be sure that after you run this script, you run the installer that comes with the latest version of OpenCart. More info on that below...

READ CAREFULLY:
  1. Only use this script if your store is running OpenCart v1.4.x
  2. DO NOT USE THIS SCRIPT TO UPGRADE EXISTING 1.5.x STORES
  3. This script includes a STEP-BY-STEP readme file. Follow it exactly!
  4. This script will work as far back as OpenCart v1.4.0
  5. This script works! There has never been a confirmed error.
  6. If you see warnings or errors, they are false positives. Just ignore them. This script has been run enough times to know that it has no real errors.
  7. Once you are upgraded, post any functionality bugs in the appropriate thread for your version, not here.
Upgrading to versions later than 1.5.1.2
As I said above, this script will bring your database to version 1.5.1.2
If you are installing straight to a later version, like 1.5.1.3, then you simply need to first follow the upgrade step by step guide from this Beta2, installing the latest version of opencart. Then after you complete this script, you can run the installer that comes with 1.5.1.3 or later.

1. Run this Beta3 Script first by following the step-by-step guide that comes with it
2. After following this Beta3 script, follow the upgrade.txt file that comes with the latest version of OpenCart.
3. Done!

What to Expect after upgrading from 1.4.x to 1.5.x
  1. Your theme will be set to the default opencart 1.5.x theme
  2. You will not see any modules or products on the homepage yet, only the header and footer.
    You need to go into the Admin->Extensions->Modules page and add your modules to see products on the front.
  3. Your products, categories, customers, orders will all be safe and viewable in the admin area
  4. If you had any 3rd party modules from 1.4.x installed, you may see errors like "Document::setTitle". That means the module was not updated yet. You should uninstall it from the modules area and get the latest update from the author of the mod
  5. There are new menus in the admin, so be sure to go through them.



I did the upgrade from here for my opencart and it said success but now its displaying this


Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_right.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_right.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_right.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_right.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_right.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_right.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_right.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_right.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_right.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_right.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_right.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_right.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_right.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_right.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_right.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_right.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_right.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_left.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_left.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_left.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_left.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_left.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_left.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_left.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_left.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_left.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_left.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_left.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_left.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_left.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_left.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_left.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_left.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/column_left.php on line 11Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/header.php on line 31Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/header.php on line 31Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/header.php on line 31Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/header.php on line 31Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/header.php on line 31Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/header.php on line 31Notice: Undefined index: key in /home/sites/lovekimono.com/public_html/catalog/controller/common/header.php on line 35Error: Could not load model total/!

Newbie

Posts

Joined
Wed Nov 07, 2012 6:17 pm

Post by dedalo » Thu Nov 08, 2012 7:06 am

Hello.

I'm trying to upgrade my oc 1.4.9.4 to 1.5.4.1 version. I already download this script to make the upgrade.When I run the php I got the success message, database works fine. I follow the instructions and I execute the upgrade from /mysite.com/install/ this works fine too. (I modify the config.php in the root of the instalation too according to the instructions)

I can login in the admin panel and I add the modules and permissions, but when I see my store, looks like the attached file.

Thanks in advance for any help.

Attachments

oc.png

image - oc.png (138.25 KiB) Viewed 7222 times


Newbie

Posts

Joined
Wed Nov 07, 2012 8:00 am
Who is online

Users browsing this forum: No registered users and 4 guests